Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class ParameterExprImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.ParameterExprImpl

All Implemented Interfaces:
  Expression, ParameterExpr, Visitable

    public class ParameterExprImpl

extends java.lang.Object
implements ParameterExpr

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.ParameterExpr
`MEMBER, NUMBER, STRING`

Constructor Summary
`ParameterExprImpl()`
`ParameterExprImpl(java.lang.String name, java.lang.String label, int type, Expression value)`

Method Summary
`void` | `accept(Visitor visitor)`
`java.lang.String` | `getLabel()` label to display to the user
`java.lang.String` | `getName()` internal name that identifies this parameter
`int` | `getType()` type of parameter
`Expression` | `getValue()` value of the parameter
`void` | `setLabel(java.lang.String string)`
`void` | `setName(java.lang.String string)`
`void` | `setType(int i)`
`void` | `setValue(Expression expression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterExprImpl

    public ParameterExprImpl()

### ParameterExprImpl

    public ParameterExprImpl(java.lang.String name,
                             java.lang.String label,
                             int type,
                             Expression value)

Method Detail

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `ParameterExpr`
  label to display to the user

  Specified by:
    `getLabel` in interface `ParameterExpr`

### getValue

    public Expression getValue()

  Description copied from interface: `ParameterExpr`
  value of the parameter

  Specified by:
    `getValue` in interface `ParameterExpr`

### setLabel

    public void setLabel(java.lang.String string)

### setValue

    public void setValue(Expression expression)

### getName

    public java.lang.String getName()

  Description copied from interface: `ParameterExpr`
  internal name that identifies this parameter

  Specified by:
    `getName` in interface `ParameterExpr`

### getType

    public int getType()

  Description copied from interface: `ParameterExpr`
  type of parameter

  Specified by:
    `getType` in interface `ParameterExpr`

### setName

    public void setName(java.lang.String string)

### setType

    public void setType(int i)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD